cURL
curl --request GET \
--url https://api.maesn.dev/accounting/vendorCredits \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/vendorCredits"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/vendorCredits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": [
{
"id": "9714f3a2-5b8e-4d1b-8a0c-9f6e7d2f3e4b",
"accountId": "6733a433-9662-4a40-8e36-e38ebda94fe1",
"addresses": [
{
"addressLine1": "Main street 45",
"addressLine2": "2nd floor",
"city": "Berlin",
"countryCode": "DE",
"postalCode": "10243",
"type": "BILLING"
}
],
"contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"createdDate": "2021-01-01T00:00:00Z",
"currency": "EUR",
"deliveryDate": "2021-01-01T00:00:00Z",
"dueDate": "2021-07-01T00:00:00Z",
"fileId": "93c6b8e0-80a4-4c22-a46c-18beebab82d6",
"journalCode": "30",
"lineItems": [
{
"id": "987a2b3c-4d5e-6f7g-8h9i-0j1k2l3m4n5o",
"accountId": "6733a433-9662-4a40-8e36-e38ebda94fe1",
"accountNumber": "200",
"createdDate": "2021-01-01T00:00:00Z",
"deferredEndDate": "2021-06-01T00:00:00Z",
"deferredStartDate": "2021-01-01T00:00:00Z",
"description": "SEOUL Guest Chair, red",
"dimensions": [
{
"name": "C1",
"categoryName": "CostCenter"
}
],
"itemId": "4f3a2hf4-5b8e-4d1b-8a0c-9f6e7d2f3e4b",
"itemName": "RED CHAIR",
"quantity": 1,
"taxCode": "03",
"taxRatePercentage": 19,
"totalDiscountAmount": 10,
"totalDiscountPercentage": 10,
"totalGrossAmount": 109,
"totalNetAmount": 100,
"totalTaxAmount": 19,
"unitAmount": 100,
"unitDiscountAmount": 10,
"unitDiscountPercentage": 10,
"unitName": "PIECE",
"updatedDate": "2021-01-01T00:00:00Z"
}
],
"name": "Office Supplies",
"oneLineAddress": "Main street 45, Berlin",
"paidDate": "2021-01-25T00:00:00Z",
"paymentDays": 30,
"paymentReference": "a123ad142e743294",
"paymentStatus": "PENDING",
"paymentTermCode": "d2f3e4b5-6a7b-8c9d-0e1f-2g3h4i5j6k7l",
"reference": "RCXF197253F",
"shippingDate": "2021-01-01T00:00:00Z",
"shippingType": "DELIVERY",
"status": "DRAFT",
"taxRule": "NET",
"taxText": "Tax 19 percent",
"totalDiscountAmount": 10,
"totalDiscountPercentage": 10,
"totalGrossAmount": 109,
"totalNetAmount": 100,
"totalTaxAmount": 19,
"updatedDate": "2021-01-01T00:00:00Z",
"vendorCreditDate": "2021-01-01T00:00:00Z",
"vendorCreditNumber": "1020"
}
]
}Vendor Credits
Get vendor credits
GET
/
accounting
/
vendorCredits
cURL
Field support per integration

Exact Online
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.enum
Available options:
5, 10, 20, 50, 100number
boolean
string
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options (3-letter ISO 4217):
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWRstring
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
string
string
string
string
enum
Available options:
OPEN, PAID, OVERDUEnumber
number
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
Query Parameters
Available options:
5, 10, 20, 50, 100 Last modified on July 10, 2026
Was this page helpful?